
From: Christoph Hellwig <hch@lst.de>

-mm specific addon to the same kind of patches I sent a few weeks ago

Cc: Mark Fasheh <mark.fasheh@oracle.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/configfs/dir.c   |    2 +-
 fs/configfs/inode.c |   10 ----------
 2 files changed, 1 insertion(+), 11 deletions(-)

diff -puN fs/configfs/dir.c~ocfs2-avoid-lookup_hash-usage-in-configfs fs/configfs/dir.c
--- 25/fs/configfs/dir.c~ocfs2-avoid-lookup_hash-usage-in-configfs	Tue Jun 28 15:57:41 2005
+++ 25-akpm/fs/configfs/dir.c	Tue Jun 28 15:57:41 2005
@@ -858,7 +858,7 @@ int configfs_rename_dir(struct config_it
 
 	down(&parent->d_inode->i_sem);
 
-	new_dentry = configfs_get_dentry(parent, new_name);
+	new_dentry = lookup_one_len(new_name, parent, strlen(new_name));
 	if (!IS_ERR(new_dentry)) {
   		if (!new_dentry->d_inode) {
 			error = config_item_set_name(item, "%s", new_name);
diff -puN fs/configfs/inode.c~ocfs2-avoid-lookup_hash-usage-in-configfs fs/configfs/inode.c
--- 25/fs/configfs/inode.c~ocfs2-avoid-lookup_hash-usage-in-configfs	Tue Jun 28 15:57:41 2005
+++ 25-akpm/fs/configfs/inode.c	Tue Jun 28 15:57:41 2005
@@ -98,16 +98,6 @@ int configfs_create(struct dentry * dent
 	return error;
 }
 
-struct dentry * configfs_get_dentry(struct dentry * parent, const char * name)
-{
-	struct qstr qstr;
-
-	qstr.name = name;
-	qstr.len = strlen(name);
-	qstr.hash = full_name_hash(name,qstr.len);
-	return lookup_hash(&qstr,parent);
-}
-
 /*
  * Get the name for corresponding element represented by the given configfs_dirent
  */
_
